View Issue Details

IDProjectCategoryView StatusLast Update
0000240HTML & PERLBug Report - Databasepublic2007-08-06 05:12
ReporterDerIdiot Assigned Toepoximator  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000240: stronger group relations/virtual groups
Descriptionatm the relation between those is rather weak or almost not existing. only thing that connects them is a link in the group profile, but there is no connection between their data.

ok lets make a simple example, which can be found rather often:

anime Z gets subbed by group A for 3 eps
for ep 4+ group A asks group B to join the work
at some point, lets say after ep 10 group A & B decide to stop working together and A finishes the last 2 eps alone.
B does 1 ep, but drops it afterwards.

looking at the groupinfo this means atm:
-----------------------
Group A 12 finished
Group B 11 dropped
Group A&B 10 stalled

even though it should be

Group A 12 complete
Group B 11 dropped
Additional Informationthis leads to 3 possible solutions:
- dirty fix aka solution 3: add some new state which implies it was finished by child/parentgroup. basically allow to manually set state "finished"} very dirty fix and definitely not recommended

- stronger relations betweens the child and parentgroups
meaning everything that was done by the childgroup gets counted to the parentgroup. this also requires different sets of relations, but thats needed anyway: http://www.anidb.net/tracker/view.php?id=239

- virtual groups which would solve the problem more easily imho
atm you have to add the 3rd "group" (group A&B in my example) which is no real group. It would be best to get rid of this "wrong" data and replace it with some sort of virtual group. basically you add the 2 parent groups seperatly to the file and those 2 form the virtual group (group A&B). this would allow to add joined releases more easily imho and would remove the "wrong" group info.

to continue my example this would mean in the groupinfo to display the data like this:

Group A 12 complete
Group B 11 dropped

and in the grouppages:

Group A
-------
Anime Z 12 complete

Group B
-------
Anime Z 7 dropped

in case B would have finished the rel themselves by doing ep 12 or by finishing it in coorporation with A the status would be:

Group B
-------
Anime Z 8 finished
TagsNo tags attached.

Relationships

related to 0000239 resolvedepoximator more grouprelations 
related to 0000292 resolvedepoximator Merging sub groups with groups 
related to 0000290 resolvedepoximator DON'T count CRC incorrect filenames to the total ammount of files released by a group 

Activities

exp

2005-07-17 16:49

administrator   ~0000593

I don't agree here.
IMHO the correct way to display this fact would be something like
groupinfo
-----------------------
Group A 12 completed
Group B 11 dropped
Group A&B 10 dropped (split)

If a file is released with tag "[A&B]" I think that's what should be added for the file and that's also what should be shown in the group info. Just showing
Group A 12 completed
Group B 11 dropped
feels wrong. And always displaying all groups of a joined project would clutter the groupinfo table needlessly.

BYe!
EXP

DerIdiot

2005-07-17 16:51

administrator   ~0000594

hey if thats possible, the better. feel free to ignore my suggestion fix the problem and do it in whatever way oyu want. i just wanted to get this problem on the tracker

Amour

2005-10-19 21:43

reporter   ~0000705

I would like to warn about the language problem: for example, group DB has a sub-group DB-FR. But they do not sub in the same language. So we shouldn't mark an anime as complete in this case of relation.

DerIdiot

2006-07-20 17:09

administrator   ~0000864

http://www.anidb.net/forum/viewtopic.php?t=2821

Issue History

Date Modified Username Field Change
2005-07-11 20:16 DerIdiot New Issue
2005-07-17 16:49 exp Note Added: 0000593
2005-07-17 16:51 DerIdiot Note Added: 0000594
2005-10-19 21:43 Amour Note Added: 0000705
2006-07-20 17:09 DerIdiot Note Added: 0000864
2006-07-22 00:42 fahrenheit Relationship added related to 0000292
2006-07-22 00:45 fahrenheit Relationship added related to 0000290
2007-05-22 16:21 DerIdiot Relationship added related to 0000239
2007-08-06 05:12 epoximator Assigned To => epoximator
2007-08-06 05:12 epoximator Status new => resolved
2007-08-06 05:12 epoximator Resolution open => fixed